<body bgcolor="#FFFFFF">
<font size=+0>
<B>Please enter a suitable JDBC connection string, before you try the above demo</B>
<pre>
     If you have the OCI driver installed you can use an OCI connection
     string such as "jdbc:oracle:oci8:@".
     Otherwise, use the thin driver with your host, port and database id.
     Once you have set the connection string it will remain in effect until
     the session times out.
</pre>
<% 
   String connStr;
   connStr=request.getParameter("connStr");
   if (connStr==null) {
     connStr=(String)session.getValue("connStr");
   }
   if (connStr==null) {
     connStr="jdbc:oracle:thin:@localhost:1521:orcl"; 
   }

   session.putValue("connStr",connStr);
%>
<FORM METHOD=get>
<INPUT TYPE="text" NAME="connStr" SIZE=40 value="<%=connStr%>" >
<INPUT TYPE="submit" VALUE="Set Connection String" >
</FORM>
</font>
